Sends information about the delivery in progress.
This endpoint should be used when the delivery is the responsibility of the Merchant, so the Software Service should send the delivery updates to the Ordering Application.
HOST: Keeta
DIRECTION:

Security
OAuth2(Required scopes: od.all) and Sig
- https://open.mykeeta.com/api/open/opendeliveryhttps://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/tracking
curl -i -X POST \
'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/tracking' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-App-Signature: YOUR_API_KEY_HERE' \
-d '{
"deliveryTrackingInfo": {
"event": {
"type": "PICKUP_ONGOING",
"message": "string",
"datetime": "2019-08-24T14:15:22Z"
},
"problem": {
"reason": "DELIVERYPERSON_OCCURRENCE",
"message": "string",
"datetime": "2019-08-24T14:15:22Z"
},
"vehicle": {
"type": [
"MOTORBIKE_BAG"
],
"licencePlate": "string"
},
"eta": {
"pickupEtaInMinutes": 0,
"pickupEtaDatetime": "2019-08-24T14:15:22Z",
"deliveryEtaInMinutes": 0,
"deliveryEtaDatetime": "2019-08-24T14:15:22Z",
"maxDeliveryTime": "2019-08-24T14:15:22Z"
},
"deliveryPerson": {
"id": "string",
"name": "string",
"pictureURL": "string"
},
"geoLocalization": {
"latitude": -23.54809,
"longitude": -46.63638,
"lastAddress": {
"country": "BR",
"state": "BR-SP",
"city": "São Paulo",
"district": "Moema",
"street": "Plaza Avenue",
"postalCode": "20111-000",
"distanceToPickup": "string",
"distanceToDelivery": "string",
"timestamp": "2019-08-24T14:15:22Z"
}
},
"externalTrackingURL": "string"
}
}'